#
# Conditionale build:
# _with_moviesounds - build moviesounds subpackage. Note: it probably is a
#                     violation of Disney's copyright.
#
Summary:	A Tron lightcycle game with focus on multiplayer mode
Summary(pl):	Gra Tron ze wiatocyklem skupiajca si na trybie dla wielu graczy
Name:		armagetron
Version:	0.2.5.2
Release:	3
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Source0-md5:	71bfeaa5ddaf38d5fd8d893caec91d15
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	http://armagetron.sourceforge.net/addons/moviepack.zip
# Source3-md5:	e2d40309dde7e1339ca6aff7599cdfa3
%if %{?_with_moviesounds:1}%{!?_with_moviesounds:0}
Source4:	http://armagetron.sourceforge.net/addons/moviesounds_fq.zip
# Source4-md5:	3c5d04af52eb296cdeb2fba5ecbd8899
%endif
URL:		http://armagetron.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}

%description
In Armagetron, you ride a lightcycle around the game grid. You can
only make sharp turns of 90 degrees and a wall constantly builds up
after you. Make your enemies crash into your wall, but be aware that
they are trying to do the same to you. If you are fast enough, you may
be able to trap them, but the only way to speed up your lightcycle is
to drive close to the dangerous walls. Prepare for exciting strategic
preparations followed by action-packed close combat!

%description -l pl
W grze Armagetron jedzie si wiatocyklem dookoa planszy. Mona
wykonywa tylko ostre zakrty o 90 stopni, a za graczem cigle buduje
si ciana. Trzeba spowodowa, by wrogowie roztrzaskali si na tej
cianie, ale take uwaa, bo oni prbuj zrobi to samo. Jeli gracz
jest szybki, moe zapa ich wszystkich, ale jedynym sposobem na
przyspieszenie wiatocyklu jest jazda blisko niebezpiecznych cian.
Trzeba si przygotowa na ekscytujce strategiczne przygotowania i
nastpujc po nich walk w zblieniu!

%package moviepack
Summary:	Moviepack addon
Summary(pl):	Dodatek Moviepack
Group:		X11/Applications/Games
Requires:	%{name} = %{version}
                                                                                
%description moviepack
Moviepack addon.
                                                                                
%description moviepack -l pl
Dodatek Moviepack.

%package moviesounds
Summary:	Moviesounds addon
Summary(pl):	Dodatek Moviesounds
Group:		X11/Applications/Games
Requires:	%{name} = %{version}
                                                                                
%description moviesounds
Moviesounds addon.
                                                                                
%description moviesounds -l pl
Dodatek Moviesounds.

%prep
%setup -q -a 3 %{?_with_moviesounds:-a 4}

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Games,%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_prefix}/games/%{name}/movie{pack,sounds}

%{__make} install

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

cp -R moviepack $RPM_BUILD_ROOT%{_prefix}/games/%{name}
%{?_with_moviesounds:cp -R moviesounds $RPM_BUILD_ROOT%{_prefix}/games/%{name}}
rm -f $RPM_BUILD_ROOT%{_prefix}/games/%{name}/moviepack/art_read_me.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG doc/*.html doc/net
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.cfg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.srv
%dir %{_prefix}/games/%{name}
%{_prefix}/games/%{name}/arenas
%dir %{_prefix}/games/%{name}/bin
%attr(755,root,root) %{_prefix}/games/%{name}/bin/[ap]*
%dir %{_prefix}/games/%{name}/language
%{_prefix}/games/%{name}/language/languages.txt
%{_prefix}/games/%{name}/language/english.txt
%lang(de) %{_prefix}/games/%{name}/language/deutsch.txt
%{_prefix}/games/%{name}/models
%{_prefix}/games/%{name}/sound
%{_prefix}/games/%{name}/textures
%{_applnkdir}/Games/*
%{_pixmapsdir}/*

%files moviepack
%defattr(644,root,root,755)
%doc moviepack/art_read_me.txt
%{_prefix}/games/%{name}/moviepack

%if %{?_with_moviesounds:1}%{!?_with_moviesounds:0}
%files moviesounds
%defattr(644,root,root,755)
%{_prefix}/games/%{name}/moviesounds
%endif
